import {
  AutoUpdaterSettings,
  getAppSettings
} from './decorators/auto-updater-settings';
import { On } from './decorators/on';

import { AutoUpdaterConfiguration } from './models/auto-updater-configuration';
import {
  EventHandlerConstructorOptions,
  EventHandlerMetadata
} from './models/event-handler.metadata';

import { EventHandlerRegistry } from './registries/event-handler.registry';

import { EventAttachType } from './types/event-attach.type';

import { Attacher } from './attacher';
import { Builder } from './builder';

export {
  AutoUpdaterSettings,
  getAppSettings,
  On,
  AutoUpdaterConfiguration,
  EventHandlerConstructorOptions,
  EventHandlerMetadata,
  EventHandlerRegistry,
  EventAttachType,
  Attacher,
  Builder
};
