export enum BrowserWindowChannel {
  alwaysOnTopChanged = 'always-on-top-changed',
  appCommand = 'app-command',
  blur = 'blur',
  close = 'close',
  closed = 'closed',
  enterFullScreen = 'enter-full-screen',
  enterHtmlFullScreen = 'enter-html-full-screen',
  focus = 'focus',
  hide = 'hide',
  leaveFullScreen = 'leave-full-screen',
  leaveHtmlFullScreen = 'leave-html-full-screen',
  maximize = 'maximize',
  minimize = 'minimize',
  move = 'move',
  moved = 'moved',
  newWindowForTab = 'new-window-for-tab',
  pageTitleUpdated = 'page-title-updated',
  readyToShow = 'ready-to-show',
  resize = 'resize',
  responsive = 'responsive',
  restore = 'restore',
  rotateGesture = 'rotate-gesture',
  scrollTouchBegin = 'scroll-touch-begin',
  scrollTouchEdge = 'scroll-touch-edge',
  scrollTouchEnd = 'scroll-touch-end',
  sessionEnd = 'session-end',
  sheetBegin = 'sheet-begin',
  sheetEnd = 'sheet-end',
  show = 'show',
  swipe = 'swipe',
  unmaximize = 'unmaximize',
  unresponsive = 'unresponsive',
  willMove = 'will-move',
  willResize = 'will-resize'
}
