import * as Electron from 'electron';
import { AppConfiguration } from '../../app';

export type BrowserWindowConstructorOptionsFunc = (
  appConfiguration: AppConfiguration
) => Electron.BrowserWindowConstructorOptions;

export interface BrowserWindowConfiguration {
  constructorOptions?:
    | Electron.BrowserWindowConstructorOptions
    | BrowserWindowConstructorOptionsFunc;
}
