import { Type } from '@ucap/core';
import { AppConfiguration } from '../api/app/models/app-configuration';

export abstract class ServiceBuilder {
  static build<T>(
    serviceType: Type<T>,
    configuration: Partial<AppConfiguration>
  ): T {
    const service = new serviceType(configuration);

    return service;
  }
}
