export enum WebContentsChannel {
  beforeInputEvent = 'before-input-event',
  certificateError = 'certificate-error',
  consoleMessage = 'console-message',
  contextMenu = 'context-menu',
  crashed = 'crashed',
  cursorChanged = 'cursor-changed',
  desktopCapturerGetSources = 'desktop-capturer-get-sources',
  destroyed = 'destroyed',
  devtoolsClosed = 'devtools-closed',
  devtoolsFocused = 'devtools-focused',
  devtoolsOpened = 'devtools-opened',
  devtoolsReloadPage = 'devtools-reload-page',
  didAttachWebview = 'did-attach-webview',
  didChangeThemeColor = 'did-change-theme-color',
  didFailLoad = 'did-fail-load',
  didFailProvisionalLoad = 'did-fail-provisional-load',
  didFinishLoad = 'did-finish-load',
  didFrameFinishLoad = 'did-frame-finish-load',
  didFrameNavigate = 'did-frame-navigate',
  didNavigate = 'did-navigate',
  didNavigateInPage = 'did-navigate-in-page',
  didRedirectNavigation = 'did-redirect-navigation',
  didStartLoading = 'did-start-loading',
  didStartNavigation = 'did-start-navigation',
  didStopLoading = 'did-stop-loading',
  domReady = 'dom-ready',
  enterHtmlFullScreen = 'enter-html-full-screen',
  foundInPage = 'found-in-page',
  ipcMessage = 'ipc-message',
  ipcMessageSync = 'ipc-message-sync',
  leaveHtmlFullScreen = 'leave-html-full-screen',
  login = 'login',
  mediaPaused = 'media-paused',
  mediaStartedPlaying = 'media-started-playing',
  newWindow = 'new-window',
  pageFaviconUpdated = 'page-favicon-updated',
  pageTitleUpdated = 'page-title-updated',
  paint = 'paint',
  pluginCrashed = 'plugin-crashed',
  preloadError = 'preload-error',
  remoteGetBuiltin = 'remote-get-builtin',
  remoteGetCurrentWebContents = 'remote-get-current-web-contents',
  remoteGetCurrentWindow = 'remote-get-current-window',
  remoteGetGlobal = 'remote-get-global',
  remoteRequire = 'remote-require',
  responsive = 'responsive',
  selectBluetoothDevice = 'select-bluetooth-device',
  selectClientCertificate = 'select-client-certificate',
  unresponsive = 'unresponsive',
  updateTargetUrl = 'update-target-url',
  willAttachWebview = 'will-attach-webview',
  willNavigate = 'will-navigate',
  willPreventUnload = 'will-prevent-unload',
  willRedirect = 'will-redirect',
  zoomChanged = 'zoom-changed'
}
