export enum PlatformChannel {
  networkInfo = 'ucap::native::platform::networkInfo',
  execute = 'ucap::native::platform::execute',
  openDefaultBrowser = 'ucap::native::platform::openDefaultBrowser',
  readFromClipboard = 'ucap::native::platform::readFromClipboard'
}

export enum FileChannel {
  save = 'ucap::native::file::save',
  read = 'ucap::native::file::read',
  openFolder = 'ucap::native::file::openFolder',
  openItem = 'ucap::native::file::openItem',
  path = 'ucap::native::file::path',
  selectForOpen = 'ucap::native::file::selectForOpen',
  selectForSave = 'ucap::native::file::selectForSave'
}

export enum WindowChannel {
  close = 'ucap::native::window::close',
  minimize = 'ucap::native::window::minimize',
  maximize = 'ucap::native::window::maximize',
  state = 'ucap::native::window::state',
  onState$ = 'ucap::native::window::onState$',
  focused = 'ucap::native::window::focused',
  onFocus$ = 'ucap::native::window::onFocus$'
}

export enum IdleChannel {
  started = 'ucap::native::idle::started',
  startCheck = 'ucap::native::idle::startCheck',
  onState$ = 'ucap::native::idle::onState$',
  stopCheck = 'ucap::native::idle::stopCheck',
  changeLimitTime = 'ucap::native::idle::changeLimitTime'
}

export enum AppChannel {
  version = 'ucap::native::app::version',
  postInit = 'ucap::native::app::postInit',
  postLogin = 'ucap::native::app::postLogin',
  postLogout = 'ucap::native::app::postLogout',
  postDestroy = 'ucap::native::app::postDestroy',
  changeAutoLaunch = 'ucap::native::app::changeAutoLaunch',
  showNotify = 'ucap::native::app::showNotify',
  closeAllNotify = 'ucap::native::app::closeAllNotify',
  checkForUpdates = 'ucap::native::app::checkForUpdates',
  applyInstantUpdates = 'ucap::native::app::applyInstantUpdates',
  startedCheckForUpdate = 'ucap::native::app::startedCheckForUpdate',
  startCheckForUpdate = 'ucap::native::app::startCheckForUpdate',
  stopCheckForUpdate = 'ucap::native::app::stopCheckForUpdate',
  onUpdate$ = 'ucap::native::app::onUpdate$',
  exit = 'ucap::native::app::exit',
  onLogout$ = 'ucap::native::app::onLogout$',
  onStatus$ = 'ucap::native::app::onStatus$',
  onShowSetting$ = 'ucap::native::app::onShowSetting$',
  onExit$ = 'ucap::native::app::onExit$'
}

export enum ChatChannel {
  openRoom = 'ucap::native::chat::openRoom',
  onOpen$ = 'ucap::native::chat::onOpen$'
}

export enum MessageChannel {
  onOpen$ = 'ucap::native::message::onOpen$'
}
